do
#****************************************************************************
#**
#**  File     :  /cdimage/units/UEB4301/UEB4301_script.lua
#**  Author(s):  John Comes, Greg Kohne
#**
#**  Summary  :  UEF Heavy Shield Generator Script
#**
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TShieldStructureUnit = import('/lua/terranunits.lua').TShieldStructureUnit
local OldUEB4301 = UEB4301
UEB4301 = Class(OldUEB4301) {
    
    -----------------------------------------------------------------------------
	--ENHANCEMENT
	
	CreateEnhancement = function(self, enh)
		OldUEB4301.CreateEnhancement(self, enh)
		local bp = self:GetBlueprint().Enhancements[enh]
		if not bp then return end
		
		if enh == 'InstantShield' then
				self:CreateShield(bp)
		elseif enh == 'InstantShieldRemove' then
			self:DestroyShield()
		end
	end,

}

TypeClass = UEB4301

end